org.multiverse.api.exceptions

## Class InvisibleCheckedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.multiverse.api.exceptions.InvisibleCheckedException

All Implemented Interfaces:
  java.io.Serializable

    public class InvisibleCheckedException
    extends java.lang.RuntimeException

A `RuntimeException` thrown when a checked exception is thrown but can't be rethrown. The original checked exception can be retrieved by calling the `getCause()`.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`InvisibleCheckedException(java.lang.Exception cause)` Creates a new InvisibleCheckedException with the given cause.

### Method Summary

Methods
`java.lang.Exception` `getCause()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### InvisibleCheckedException

    public InvisibleCheckedException(java.lang.Exception cause)

Creates a new InvisibleCheckedException with the given cause.

Parameters:
  `cause` - the cause of the Exception.

### Method Detail

#### getCause

    public java.lang.Exception getCause()

Overrides:
  `getCause` in class `java.lang.Throwable`